| Home | Download | Forum | Bug Tracker

|  | v1.4.0

Progress Bar
This control enables you to create a progress bar.

Control Styles
These control styles are available when creating a Progress Bar control. Remember that the general styles disabled, group, hidden, notheme, tabstop and transparent apply to all DCX controls except the embedded Dialog and Window controls.

alpha | Control is alpha blended.
gradient | Progress bar will be gradient.
marquee | Progress bar is an animated bar. (XP+)
noformat | Disables support for mIRC codes in control (faster).
smooth | Progress bar is smooth (no line breaks in the bar)
tooltips | Progress bar will have a tooltip.
vertical | Progress bar is vertical.

/xdid flags
Control commands are input to the control with the /xdid command.

/xdid -c
This command lets you set the progress bar color.
Syntax: | /xdid -c [DNAME] [ID] [RGB]
Example: | /xdid -c dcx 4 $rgb(255,0,255)
Note.

- Only works with the notheme or gradient styles.
- When used with gradient style, this sets the initial color.

/xdid -i
This command lets you set the progress bar text. Text is optional and if omited, no text will be displayed. If you put the characters %d in the text, it will be replaced by the position value of the progressbar as defined by the -j switch. Putting two %% signs together in the text produces a single % symbol in the displayed text. Default text is %d %%.
Syntax: | /xdid -i [DNAME] [ID] (Text)
Example: | /xdid -i dcx 4 Completed % $+ d % $+ %
Note. Remember that mIRC uses %d as a variable name, you will have to use % $+ d to insert the text in the control.

/xdid -j
This command lets you set the progress bar numerical representation where %d is replaced in the progressbar text.
Syntax: | /xdid -j [DNAME] [ID] [MODE]
Example: | /xdid -j dcx 4 p
Parameters:
MODE | Mode letter.
a | Absolute position value.
p | Percentage position value (default).

/xdid -k
This command lets you set the progress bar background color.
Syntax: | /xdid -k [DNAME] [ID] [RGB]
Example: | /xdid -k dcx 4 $rgb(255,255,255)
Note. Only works with the notheme style.

/xdid -m[o|g]
This command lets you start/stop the progress bar marquee animation (-mo: start | -mg: stop). The N value is the interval in milliseconds between each animation (default 100 ms).
Syntax: | /xdid -m[o|g] [DNAME] [ID] [N]
Example: | /xdid -m[o|g] dcx 4 50

/xdid -o
This command lets you set whether or not the progress bar text is drawn vertically or not.
Syntax: | /xdid -o [DNAME] [ID] [1|0]
Example: | /xdid -o dcx 4 1
Parameters:
1 | Text is drawn vertically.
0 | Text is drawn horizontally.

/xdid -q
This command lets you set the progressbar text color (default is black)
Syntax: | /xdid -q [DNAME] [ID] [RGB]
Example: | /xdid -q dcx 4 $rgb(255,0,255)

/xdid -r
This command lets you modify the progressbar range of values. (default value 0-100)
Syntax: | /xdid -r [DNAME] [ID] [LOWER] [HIGHER]
Example: | /xdid -r dcx 4 0 50

/xdid -t
This command lets you increase the progressbar by a step defined by the -u flag. When the position exceeds the maximum range value, the progress bar resets the current position so that the progress indicator starts over again from the beginning.
Syntax: | /xdid -t [DNAME] [ID]
Example: | /xdid -t dcx 4

/xdid -u
TThis command lets you set the progressbar step increase when using the -t switch (default value is 10).
Syntax: | /xdid -u [DNAME] [ID] [N]
Example: | /xdid -u dcx 4 20

/xdid -v
This command lets you set the progressbar value.
Syntax: | /xdid -v [DNAME] [ID] [N]
Example: | /xdid -v dcx 4 50

$xdid() Properties
The $xdid identifier is a given mIRC alias that communicates with the DCX DLL to extract information in DCX controls.

$xdid().range
This property lets you retreive the progress bar range values.
Syntax: | $xdid(dialog, ID).range
Example: | $xdid(dcx, 4).range

$xdid().text
This property lets you retreive the progress bar text, with the current value.
Syntax: | $xdid(dialog, ID).text
Example: | $xdid(dcx, 4).text

$xdid().value
This property lets you retreive the progress bar position value.
Syntax: | $xdid(dialog, ID).value
Example: | $xdid(dcx, 4).value

Progress Bar Events
These events are fired when activity occurs in the Progress Bar control.

help
Launched when you click on a control using the ? contexthelp button.
Syntax: | /cb_alias DNAME help ID
Example: | /cb_alias dcx help 4

mousebar
When the mouse is moved on the progressbar while the left mouse button is held down.
Syntax: | /cb_alias DNAME mousebar ID POS MIN MAX VALUE
Example: | /cb_alias dcx mousebar 4 48 0 100 30
Parameters:
POS | Position where mouse is when event is fired.
MIN | Minimum range value.
MAX | Maximum range value.
VALUE | Current value of progress bar

rclick
When you right-click on the progressbar.
Syntax: | /cb_alias DNAME rclick ID POS MIN MAX VALUE
Example: | /cb_alias dcx rclick 4 25 0 100 75
Parameters:
POS | Position where mouse is when event is fired.
MIN | Minimum range value.
MAX | Maximum range value.
VALUE | Current value of progress bar

sclick
When you left-click on the progressbar.
Syntax: | /cb_alias DNAME sclick ID POS MIN MAX VALUE
Example: | /cb_alias dcx sclick 4 10 0 100 40
Parameters:
POS | Position where mouse is when event is fired.
MIN | Minimum range value.
MAX | Maximum range value.
VALUE | Current value of progress bar

Control Styles
alpha
gradient
marquee
noformat
smooth
tooltips
vertical
/xdid Flags
-c
-i
-j
-k
-m[o|g]
-o
-q
-r
-t
-u
-v
$xdid() Properties
range
text
value
Events
help
mousebar
rclick
sclick

Contact | © 2005-2007 | Last Updated: 25th December, 07